<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>
    <!-- TOP BACKGROUND -->
    <div class="top-bg {{secondColorBrand}}"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header white-fg"
            fxLayout="column" fxLayoutAlign="center center"
            fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">
            <!-- APP TITLE -->
            <div class="logo my-12 m-sm-0"
                fxLayout="row" fxLayoutAlign="start center">
                <mat-icon class="logo-icon mr-16" *fuseIfOnDom
                    [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">directions_car</mat-icon>
                <span class="logo-text h1" *fuseIfOnDom
                    [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Veículos</span>
            </div>
            <!-- / APP TITLE -->

            <!-- SEARCH -->
            <div class="search-input-wrapper mx-12 m-md-0"
                fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
                <label for="search" class="mr-8">
                    <mat-icon class="secondary-text">search</mat-icon>
                </label>
                <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                    <input id="search" matInput (keyup)='searchOnChange($event)'
                        placeholder="Filtrar">
                </mat-form-field>
            </div>
            <!-- / SEARCH -->

            <!-- BRAND -->
            <div class="ml-8 m-sm-0" fxFlex="30" fxLayout="row"
                fxLayoutAlign="start center">
                <mat-form-field fxFlex="1 0 auto">
                    <mat-select placeholder="Marca"
                        (selectionChange)="onListValueChanged()">
                        <mat-option [value]="0"></mat-option>
                        <mat-option *ngFor="let item of brandsList"
                            [value]="item.id">
                            {{ item.name }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <!-- / BRAND -->


        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card mat-white-bg">

            <mat-table
                #table [dataSource]="dataSource"
                [@animateStagger]="{value:'50'}"
                fusePerfectScrollbar
                matSort matSortActive="licensePlate" matSortDirection="asc"
                matSortDisableClear>

                <ng-container cdkColumnDef="licensePlate">
                    <mat-header-cell *cdkHeaderCellDef mat-sort-header
                        class="white-fg">Placa</mat-header-cell>
                    <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">{{element.licensePlate}}</p>
                    </mat-cell>
                </ng-container>

                <ng-container cdkColumnDef="manufacture">
                    <mat-header-cell *cdkHeaderCellDef mat-sort-header
                        class="white-fg">Fabricante</mat-header-cell>
                    <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">{{element.manufacture}}</p>
                    </mat-cell>
                </ng-container>

                <ng-container cdkColumnDef="model">
                    <mat-header-cell *cdkHeaderCellDef mat-sort-header
                        class="white-fg">Modelo</mat-header-cell>
                    <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">{{element.model}}</p>
                    </mat-cell>
                </ng-container>


                <ng-container cdkColumnDef="edit">
                    <mat-header-cell *cdkHeaderCellDef fxFlex="48px"
                        class="white-fg">Editar</mat-header-cell>
                    <mat-cell *cdkCellDef="let row" fxFlex="48px">
                        <button mat-icon-button class="sidebar-toggle"
                            (click)="editVehicleDialog(row)">
                            <mat-icon class="secondary-text">mode_edit</mat-icon>
                        </button>
                    </mat-cell>
                </ng-container>

                <mat-header-row *cdkHeaderRowDef="displayedColumns"
                    [ngClass]="primaryColorBrand"></mat-header-row>

                <mat-row *cdkRowDef="let row; columns: displayedColumns;"
                    [ngClass]="{'mat-accent-50-bg':row == selected}"
                    matRipple [@animate]="{value:'*',params:{y:'100%'}}"
                    matRipple>
                </mat-row>

            </mat-table>

            <mat-paginator
                [length]="resultLength"
                [pageSize]="10"
                [pageSizeOptions]="[10, 25, 50]"></mat-paginator>

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->
</div>
